\documentclass[openany,a4paper,UTF8]{ctexart}
\usepackage{listings}
\newfontfamily\codefont{DejaVu Sans Mono}
\setmonofont{DejaVu Sans Mono}
\lstset{basicstyle=\small\codefont,frame=single,numbers=none}
\setCJKmainfont[Mapping = fullwidth-stop, % 中文空心句号映射为实心句点
  BoldFont=FZHei-B01,ItalicFont=FZKai-Z03,
  BoldItalicFont=FZFangSong-Z02]{FZNewShuSong-Z10}

\begin{document}
\thispagestyle{empty}
\noindent
{\bf 2024年网鼎杯，赛前模拟训练，密码学，crypto01}

\noindent
运维人员在某网络设备中捕获一段加密代码，请帮忙分析其中的明文信息。

\bigskip\noindent
下载附件解压后，得到“密文.txt”，内容是：
\begin{lstlisting}
pvkq{G!N@L#}
\end{lstlisting}

\bigskip\noindent
使用 cyberchef 的 ROT13 Brute Force，得到：
\begin{lstlisting}
Input:
pvkq{G!N@L#}
Output:
Amount = 16: flag{W!D@B#}
\end{lstlisting}
\end{document}
